Page MenuHomePhabricator

Rename invariant.group.barrier to launder.invariant.group
ClosedPublic

Authored by Prazek on Mar 30 2018, 2:51 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

Prazek created this revision.Mar 30 2018, 2:51 PM
kuhar added inline comments.Mar 30 2018, 3:13 PM
llvm/include/llvm/IR/IRBuilder.h
1960 ↗(On Diff #140496)

nit: s/an/a

Prazek updated this revision to Diff 140500.Mar 30 2018, 3:32 PM
Prazek marked an inline comment as done.
  • fixes
kuhar accepted this revision.Mar 30 2018, 3:32 PM

LGTM

This revision is now accepted and ready to land.Mar 30 2018, 3:32 PM
Prazek updated this revision to Diff 140544.Mar 31 2018, 8:23 AM
  • Fixed other name
Prazek updated this revision to Diff 140548.Mar 31 2018, 9:45 AM
  • added missing test
nhaehnle removed a subscriber: nhaehnle.Apr 2 2018, 12:26 AM

Do we also need to teach the bitcode reader to upgrade calls to the old intrinsic into calls to the new one?

Prazek updated this revision to Diff 144778.May 1 2018, 1:55 PM
  • Upgrade intrinsic
Prazek added a comment.May 1 2018, 1:57 PM

Good catch, haven't thought about it. Added autoupgrade (with also autoupgrade for the non-polimorphic barrier, not sure if it was working but I haven't added that feature.

rsmith added a comment.May 1 2018, 2:02 PM

Looks good to me, but you should get signoff from someone more involved with IR maintenance.

amharc added inline comments.May 1 2018, 2:09 PM
llvm/test/Bitcode/upgrade-invariant-group-barrier.ll
3 ↗(On Diff #144778)

nit: polymorphic

llvm/test/Other/launder.invariant.group.ll
75 ↗(On Diff #144778)

nit: checks

Prazek added a reviewer: pcc.May 1 2018, 2:36 PM

Peter, can you look at the bitcode upgrade part of this patch?

Prazek marked 2 inline comments as done.May 1 2018, 2:39 PM
Prazek updated this revision to Diff 144793.May 1 2018, 2:43 PM
  • fix nits
pcc accepted this revision.May 2 2018, 1:56 PM

Assuming that it is valid to replace the old intrinsic with the new one (which isn't 100% clear from the doc), this seems fine.

Prazek added a comment.May 3 2018, 4:02 AM

Thanks Peter for fast review!

This revision was automatically updated to reflect the committed changes.